Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.common
Class ReaderInputStream

    java.lang.Object
      java.io.InputStream
          org.apache.xmlbeans.impl.common.PushedInputStream
              org.apache.xmlbeans.impl.common.ReaderInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class ReaderInputStream

extends PushedInputStream

Field Summary
`static int` | `defaultBufferSize`

Fields inherited from class org.apache.xmlbeans.impl.common.PushedInputStream
`marklimit, markpos, outputStream, readpos, writepos`

Constructor Summary
`ReaderInputStream(java.io.Reader reader, java.lang.String encoding)`
`ReaderInputStream(java.io.Reader reader, java.lang.String encoding, int bufferSize)`

Method Summary
`void` | `fill(int requestedBytes)` Called when more bytes need to be written into this stream (as an OutputStream).

Methods inherited from class org.apache.xmlbeans.impl.common.PushedInputStream
`available, getOutputStream, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.io.InputStream
`close, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultBufferSize

    public static int defaultBufferSize

Constructor Detail

### ReaderInputStream

    public ReaderInputStream(java.io.Reader reader,
                             java.lang.String encoding)
                      throws java.io.UnsupportedEncodingException

Throws:
  `java.io.UnsupportedEncodingException`

### ReaderInputStream

    public ReaderInputStream(java.io.Reader reader,
                             java.lang.String encoding,
                             int bufferSize)
                      throws java.io.UnsupportedEncodingException

Throws:
  `java.io.UnsupportedEncodingException`

Method Detail

### fill

    public void fill(int requestedBytes)
              throws java.io.IOException

  Description copied from class: `PushedInputStream`
  Called when more bytes need to be written into this stream (as an OutputStream). This method must write at least one byte if the stream is not ended, and it must not write any bytes if the stream has already ended.

  Specified by:
    `fill` in class `PushedInputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD